import request from '@/utils/request'

// 查询岗位人员技能评估列表
export function listSkillevaluation(query) {
  return request({
    url: '/training/skillevaluation/list',
    method: 'get',
    params: query
  })
}

// 查询岗位人员技能评估详细
export function getSkillevaluation(id) {
  return request({
    url: '/training/skillevaluation/' + id,
    method: 'get'
  })
}

// 新增岗位人员技能评估
export function addSkillevaluation(data) {
  return request({
    url: '/training/skillevaluation',
    method: 'post',
    data: data
  })
}

// 修改岗位人员技能评估
export function updateSkillevaluation(data) {
  return request({
    url: '/training/skillevaluation',
    method: 'put',
    data: data
  })
}

// 删除岗位人员技能评估
export function delSkillevaluation(id) {
  return request({
    url: '/training/skillevaluation/' + id,
    method: 'delete'
  })
}

// 导出岗位人员技能评估
export function exportSkillevaluation(query) {
  return request({
    url: '/training/skillevaluation/export',
    method: 'get',
    params: query
  })
}
